Package org.apache.storm.sql.planner.streams.rel

## Class StreamsFilterRel

- java.lang.Object
- - org.apache.calcite.rel.AbstractRelNode
  - - org.apache.calcite.rel.SingleRel
    - - org.apache.calcite.rel.core.Filter
      - - org.apache.storm.sql.planner.rel.StormFilterRelBase
        - - org.apache.storm.sql.planner.streams.rel.StreamsFilterRel

- All Implemented Interfaces:
    `Cloneable`, `org.apache.calcite.plan.RelOptNode`, `org.apache.calcite.rel.RelNode`, `StormRelNode`, `StreamsRel`

      public class StreamsFilterRel
      extends StormFilterRelBase
      implements StreamsRel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.rel.RelNode

      `org.apache.calcite.rel.RelNode.Context`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.rel.core.Filter

      `condition`

    - ### Fields inherited from class org.apache.calcite.rel.SingleRel

      `input`

    - ### Fields inherited from class org.apache.calcite.rel.AbstractRelNode

      `digest, id, rowType, traitSet`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamsFilterRel​(org.apache.calcite.plan.RelOptCluster cluster, org.apache.calcite.plan.RelTraitSet traits, org.apache.calcite.rel.RelNode child, org.apache.calcite.rex.RexNode condition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.calcite.rel.core.Filter` | `copy​(org.apache.calcite.plan.RelTraitSet traitSet, org.apache.calcite.rel.RelNode input, org.apache.calcite.rex.RexNode condition)` |
    `void` | `streamsPlan​(StreamsPlanCreator planCreator)` |

    - ### Methods inherited from class org.apache.calcite.rel.core.Filter

      `accept, computeSelfCost, copy, estimateFilteredRows, estimateFilteredRows, estimateRowCount, explainTerms, getChildExps, getCondition, isValid`

    - ### Methods inherited from class org.apache.calcite.rel.SingleRel

      `childrenAccept, deriveRowType, getInput, getInputs, replaceInput`

    - ### Methods inherited from class org.apache.calcite.rel.AbstractRelNode

      `accept, collectVariablesSet, collectVariablesUsed, computeDigest, computeSelfCost, explain, getCluster, getCollationList, getConvention, getCorrelVariable, getDescription, getDigest, getExpectedInputRowType, getId, getInput, getQuery, getRelTypeName, getRows, getRowType, getTable, getTraitSet, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, metadata, onRegister, recomputeDigest, register, sole, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.rel.RelNode

      `accept, accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeSelfCost, computeSelfCost, copy, estimateRowCount, explain, getChildExps, getCollationList, getConvention, getCorrelVariable, getExpectedInputRowType, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTable, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput`

    - ### Methods inherited from interface org.apache.calcite.plan.RelOptNode

      `getCluster, getDescription, getDigest, getId, getTraitSet`

- - ### Constructor Detail

    - #### StreamsFilterRel

          public StreamsFilterRel​(org.apache.calcite.plan.RelOptCluster cluster,
                                  org.apache.calcite.plan.RelTraitSet traits,
                                  org.apache.calcite.rel.RelNode child,
                                  org.apache.calcite.rex.RexNode condition)

  - ### Method Detail

    - #### copy

          public org.apache.calcite.rel.core.Filter copy​(org.apache.calcite.plan.RelTraitSet traitSet,
                                                         org.apache.calcite.rel.RelNode input,
                                                         org.apache.calcite.rex.RexNode condition)

      Specified by:
        `copy` in class `org.apache.calcite.rel.core.Filter`

    - #### streamsPlan

          public void streamsPlan​(StreamsPlanCreator planCreator)
                           throws Exception

      Specified by:
        `streamsPlan` in interface `StreamsRel`
      Throws:
        `Exception`